TCOPY(1)

NAME
tcopy - copy and/or verify mag tapes

SYNOPSIS
tcopy [-cvx] [-s maxblk] [src [dest]]

DESCRIPTION
The tcopy utility is designed to copy magnetic tapes. The only assumption made about the tape layout is that there are two sequential EOF marks at the end. By default, the tcopy utility will print information about the sizes of records and files found on the /dev/sa0 tape, or on the tape specified by the src argument. If a destination tape is also specified by the dest argument, a copy of the source tape will be made. The blocking on the destination tape will be identical to that used on the source tape. Copying a tape will yield the same program output as if just printing the sizes.

The following options are available:

-c  Copy src to dest and then verify that the two tapes are identical.

-s maxblk
    Specify a maximum block size, maxblk.

-v  Given the two tapes src and dest, verify that they are identical.

-x  Output all informational messages to the standard error instead of the standard output. This option is useful when dest is given as /dev/stdout.

SEE ALSO
mt(1), mtio(4)

HISTORY
The tcopy command appeared in 4.3BSD.

BUGS

Writing an image of a tape to a file does not preserve much more than the raw data. Block size(s) and tape EOF marks are lost which would otherwise be preserved in a tape-to-tape copy.

End of data (EOD) is determined by two sequential EOF marks with no data between them. There used to be old systems which typically wrote three EOF's between tape files. The tcopy utility will erroneously stop copying early in this case.

When using the copy/verify option -c, tcopy does not rewind the tapes prior to start. A rewind is performed after writing, prior to the verification stage. If one does not start at the beginning-of-tape (BOT) then the comparison may not be of the intended data.